Delete extraction application configuration
curl --request POST \
--url https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/app-manage/version/delete \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"app_id": "app_1425",
"config_version": "v2"
}
'const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({app_id: 'app_1425', config_version: 'v2'})
};
fetch('https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/app-manage/version/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/app-manage/version/delete"
payload = {
"app_id": "app_1425",
"config_version": "v2"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/app-manage/version/delete")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"app_id\": \"app_1425\",\n \"config_version\": \"v2\"\n}")
.asString();const url = 'https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/app-manage/version/delete';
const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({app_id: 'app_1425', config_version: 'v2'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/app-manage/version/delete"
payload := strings.NewReader("{\n \"app_id\": \"app_1425\",\n \"config_version\": \"v2\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/app-manage/version/delete");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-KEY", "<api-key>");
request.AddJsonBody("{\n \"app_id\": \"app_1425\",\n \"config_version\": \"v2\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/app-manage/version/delete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'app_id' => 'app_1425',
'config_version' => 'v2'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": "success",
"message": "",
"tips": null,
"data": {
"success": true,
"message": "Version deleted successfully"
}
}{
"code": "<string>",
"message": "<string>",
"tips": "<string>"
}Application Management
Delete extraction application configuration
Delete a field configuration version under an application. To delete the configuration of a high-speed custom extraction application, reuse this endpoint and pass the high-speed application app_id and the config_version to delete.
POST
/
open
/
agentic_doc_processor
/
{tenant_name}
/
v1
/
app-manage
/
version
/
delete
Delete extraction application configuration
Authorizations
Production OpenAPI Accessor access_key. You can find it in My API in the ADP platform. If the key is disabled, expired, or does not belong to the production environment, the API returns Accessor not found.
Path Parameters
Tenant name. Default: laiye.
Body
application/json
⌘I
